import matplotlib.pyplot as plt
numargs = logser.numargs
[ pr ] = Replace with reasonable value * numargs
rv = logser(pr)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = logser.cdf(x, pr)
h = plt.semilogy(np.abs(x - logser.ppf(prb, pr)) + 1e-20)

# Random number generation

R = logser.rvs(pr, size=100)
